# SQLAlchemy dialect for CrateDB

[![Tests](https://github.com/crate/sqlalchemy-cratedb/actions/workflows/tests.yml/badge.svg)](https://github.com/crate/sqlalchemy-cratedb/actions/workflows/tests.yml)
[![Coverage](https://codecov.io/gh/crate/sqlalchemy-cratedb/branch/main/graph/badge.svg)](https://app.codecov.io/gh/crate/sqlalchemy-cratedb)
[![Build status (documentation)](https://readthedocs.org/projects/sqlalchemy-cratedb/badge/)](https://cratedb.com/docs/sqlalchemy-cratedb/)
[![PyPI Version](https://img.shields.io/pypi/v/sqlalchemy-cratedb.svg)](https://pypi.org/project/sqlalchemy-cratedb/)
[![Python Version](https://img.shields.io/pypi/pyversions/sqlalchemy-cratedb.svg)](https://pypi.org/project/sqlalchemy-cratedb/)
[![PyPI Downloads](https://pepy.tech/badge/sqlalchemy-cratedb/month)](https://pepy.tech/project/sqlalchemy-cratedb/)
[![Wheel](https://img.shields.io/pypi/wheel/sqlalchemy-cratedb.svg)](https://pypi.org/project/sqlalchemy-cratedb/)
[![Status](https://img.shields.io/pypi/status/sqlalchemy-cratedb.svg)](https://pypi.org/project/sqlalchemy-cratedb/)
[![License](https://img.shields.io/pypi/l/sqlalchemy-cratedb.svg)](https://pypi.org/project/sqlalchemy-cratedb/)


## About

The [SQLAlchemy] dialect for [CrateDB], based on the HTTP-based DBAPI client
library [crate-python].

## Installation

The package is available from [PyPI] at [sqlalchemy-cratedb]. 
To install the most recent version, run:
```shell
pip install --upgrade sqlalchemy-cratedb
```

## Documentation and help

- [SQLAlchemy dialect for CrateDB](https://cratedb.com/docs/sqlalchemy-cratedb/)
- [CrateDB Python Client documentation](https://cratedb.com/docs/python/)
- [CrateDB reference documentation](https://cratedb.com/docs/reference/)
- [Developer documentation](DEVELOP.md)
- [Contributing](CONTRIBUTING.md)
- Other [support channels](https://cratedb.com/support)

## Contributing

The SQLAlchemy dialect for CrateDB is an open source project, and is
[managed on GitHub](https://github.com/crate/sqlalchemy-cratedb). We
appreciate contributions of any kind.


[CrateDB]: https://github.com/crate/crate
[crate-python]: https://github.com/crate/crate-python
[SQLAlchemy]: https://www.sqlalchemy.org
[sqlalchemy-cratedb]: https://pypi.org/project/sqlalchemy-cratedb/
[PyPI]: https://pypi.org/
